{{ define "main" }}
<article class="content-text" role="main">
  <div class="content-title">
    <h1>{{ .RenderString .Title }}</h1>
{{ with .Params.subtitle -}}
    <span class="content-subtitle">{{ $.RenderString . }}</span>
{{ end -}}
  </div>
  <section class="notice">
    {{ .Params.description | .RenderString }}
    {{ .Params.intro | .RenderString }}
  </section>
  <form id="dl-p" action="{{ .Params.proxy.url }}" method="GET">
    <div class="field">
      <label for="dlp-url">{{ i18n "dlp.form.url" }}</label>
      <input type="text" name="url" id="dlp-url" class="in-text">
    </div>
    <div class="field">
      {{- $first := true }}
      {{- range .Params.proxy.transformations }}
      <label for="dlp-tr-{{ .key }}">
        <input type="radio" id="dlp-tr-{{ .key }}" name="transformation" value="{{ .code }}"{{ if $first }} checked{{ $first = false }}{{ end }}>
        {{ .label }}
      </label>
      {{- end }}
    </div>

    <div id="caption" class="notice smaller nojs-hide">
      {{- range .Params.proxy.transformations }}
      <section data-tab="{{ .code }}">
        <h4>{{ partial "utils/icon.html" (dict "icon" "lightbulb") }} {{ .label }}</h4>
        <p>{{ .description
             | $.RenderString
             | replaceRE "^<p>|</p>$" ""
             | safeHTML }}</p>
      </section>
      {{- end }}
    </div>

    <div class="action-bar">
      <input type="submit" class="btn btn-primary" value="{{ i18n "dlp.form.submit" }}"
        data-original="{{ i18n "dlp.form.submit" }}"
        data-active="{{ i18n "dlp.form.submitted" }}">
      <input type="reset" class="btn" value="{{ i18n "forms.action.reset" }}">
    </div>
  </form>
  {{ if ne .Params.tipping false -}}
    {{ .Render "single/content-footer-tip" -}}
  {{ end -}}
</article>
{{ end }}
